const http = require('http');

const process = (operators, bridges, utterances) =>

  new Promise( (resolve, reject) => {
    const data = JSON.stringify({ operators, bridges, utterances });

    const options = {
      hostname: '184.67.27.82',
      port: 5000,
      path: '/process',
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
        'Content-Length': data.length
      }
    }

    const req = http.request(options, (res) => {
      console.log(`statusCode: ${res.statusCode}`)

      res.on('data', (d) => {
        resolve(d.toString())
      })
    })

    req.on('error', (error) => {
      const message = `Error from server ${error}. The server is in my living room and there is only one. It could be down because I am writing code and need the GPU. I work for 1/2 hour each weekday and 1.5 hours each weekend day on this`;
      reject(message)
    })

    req.write(data)
    req.end()
  });

module.exports = { process }
